Bug 484790 - LiveUSB creation failed: 'NoneType' object is not iterable
LiveUSB creation failed: 'NoneType' object is not iterable
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: kushaldas@gmail.com
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 16:56 EST by Mace Moneta
Modified: 2009-11-30 01:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-30 01:12:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Live usb creator Error (6.01 KB, application/octet-stream)
2009-04-10 06:30 EDT, Ajay Kalla
no flags Details

  None (edit)
Description Mace Moneta 2009-02-09 16:56:27 EST
Description of problem:

The log:

F11-Alpha-i686-Live.iso selected
Verifying filesystem...
Verifying ISO MD5 checksum
Extracting live image to USB device...
Wrote to device at 42 MB/sec
Creating 2047MB persistent overlay
Installing bootloader...
'NoneType' object is not iterable
LiveUSB creation failed!


Version-Release number of selected component (if applicable):

liveusb-creator-3.5-2.fc10.noarch

How reproducible:

Always

Steps to Reproduce:
1. Run liveusb-creator on F10
2. Select image F11-Alpha-i686-Live.iso
3. Click "Create live USB"
  
Actual results:

'NoneType' object is not iterable
LiveUSB creation failed!

Expected results:

Successful creation of the live USB


Additional info:
Comment 1 juan vidal 2009-02-12 18:47:24 EST
Installed: pyparted.x86_64 0:1.8.9-5.fc9

and after that installation was OK:

Graphical Window
Press 'Create Live USB' again if you wish to continue.
Verifying filesystem...
Verifying ISO MD5 checksum
Extracting live image to USB device...
Installing bootloader...
Complete! (0:16:53)

Terminal Window:
INFO:liveusb.creator:F11-Alpha-x86_64-Live.iso selected
INFO:liveusb.creator:Removing existing Live OS
INFO:liveusb.creator:Verifying filesystem...
INFO:liveusb.creator:Verifying ISO MD5 checksum
INFO:liveusb.creator:Extracting live image to USB device...
INFO:liveusb.creator:Installing bootloader...

Now I'll try to boot...
Comment 2 Luke Macken 2009-03-08 21:28:31 EDT
Please try and reproduce this issue with v3.6+ of the liveusb-creator.  Thanks!
Comment 3 Mace Moneta 2009-03-09 17:08:59 EDT
I can't confirm this is fixed until bug #488487 is corrected.
Comment 4 Ajay Kalla 2009-04-10 06:30:34 EDT
Created attachment 339077 [details]
Live usb creator Error
Comment 5 Kris Linville 2009-06-02 09:40:17 EDT
I'm getting the same error when trying to burn a F10 Live USB. Sometimes the drive is bootable anyway, and sometimes it isn't. I haven't found any kind of pattern to it, but the output from liveusb-creator never changes either way. Here are the details:


Fedora 9 Kernel 2.6.25.4
liveusb-creator-3.6.3-1.fc9.noarch
pyparted-1.8.9-5.fc9.i386
2GB SanDisk Cruzer
F10-i686-Live.iso


Preparation Steps:
[root@ ~]# umount /dev/sdb
[root@ ~]# mkfs.vfat -n 'Fedora Live' -I /dev/sdb
mkfs.vfat 2.11 (12 Mar 2005)


DMESG Output upon drive insertion after the above steps:
usb 2-1: new high speed USB device using ehci_hcd and address 5
usb 2-1: configuration #1 chosen from 1 choice
scsi3 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 5
usb-storage: waiting for device to settle before scanning
scsi 3:0:0:0: Direct-Access     SanDisk  Cruzer           7.01 PQ: 0 ANSI: 0 CCS
sd 3:0:0:0: [sdb] 3907583 512-byte hardware sectors (2001 MB)
sd 3:0:0:0: [sdb] Write Protect is off
sd 3:0:0:0: [sdb] Mode Sense: 45 00 00 08
sd 3:0:0:0: [sdb] Assuming drive cache: write through
sd 3:0:0:0: [sdb] 3907583 512-byte hardware sectors (2001 MB)
sd 3:0:0:0: [sdb] Write Protect is off
sd 3:0:0:0: [sdb] Mode Sense: 45 00 00 08
sd 3:0:0:0: [sdb] Assuming drive cache: write through
 sdb:
sd 3:0:0:0: [sdb] Attached SCSI removable disk
sd 3:0:0:0: Attached scsi generic sg1 type 0
usb-storage: device scan complete
loop: module loaded
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A


Output from LiveUSB-Creator:
F10-i686-Live.iso selected
Verifying filesystem...
Verifying ISO MD5 checksum
Verifying SHA1 of LiveCD image...
Extracting live image to USB device...
Wrote to device at 6 MB/sec
Creating 323MB persistent overlay
Setting up OLPC boot file...
Installing bootloader...
'NoneType' object is not iterable
LiveUSB creation failed!
'NoneType' object is not iterable
Comment 6 Luke Macken 2009-11-06 13:50:18 EST
Are you still able to reproduce this issue with the latest version of the liveusb-creator (currently 3.7.1)

Also, please attach the output of `liveusb-creator -v`.  Thanks
Comment 7 Bug Zapper 2009-11-18 06:04:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Mace Moneta 2009-11-30 01:12:01 EST
After upgrading to F12, I'm no longer seeing this.  Closing.

Note You need to log in before you can comment on or make changes to this bug.